Quassel IRC - Bug #453

Nick-Highlightning does not work
12/28/2008 09:29 AM - Steve

Status: Resolved Start date: 12/28/2008
Priority: Normal Due date:

Assignee: Sputnick % Done: 100%
Category: Quassel Client Estimated time: 0.00 hour
Target version: 0.4.0

Version: 0.3.1+ 0S: Any
Description

My Nickname on IRC is "Steve™ (with a backtick at the end). Nick-Highlightning only works if the last char isn't a backtick.

A sample screenshot is attached.

Associated revisions

Revision 22a2567a8f933¢c94534775¢560eff56168ae3078 - 01/02/2009 08:38 PM - Manuel Nickschas

Work around a QRegExp bug where a "\b never seems to match

Fixes #453. Bug filed upstream.

Revision 22a2567a - 01/02/2009 08:38 PM - Manuel Nickschas

Work around a QRegExp bug where a "\b never seems to match

Fixes #453. Bug filed upstream.

History

#1 - 01/02/2009 08:42 PM - Sputnick

- Status changed from New to Resolved
- Assignee set to Sputnick

- Target version set to 0.4.0

- % Done changed from 0 to 100

- Version set to 0.3.1+

Seems to be a bug in QRegExp, worked around it and filed bug upstream.

http://git.quassel-irc.org/?p=quassel.git;a=commit;h=22a2567a8f933c94534775c560eff56168ae3078
